package com.uas.platform.b2b.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.PurchaseForecastAllItem;
import com.uas.platform.core.model.PageInfo;


public interface PurchaseForecastOrderService {

	/**
	 * 根据采购预测的明细记录保存
	 * @param items
	 * @return
	 */
	public List<PurchaseForecastAllItem> save(List<PurchaseForecastAllItem> items);

	/**
	 * 获取没有上传到卖方ERP的客户采购预测
	 * @return
	 */
	public List<PurchaseForecastAllItem> findNotUploadOrder();

	/***
	 * 上传到卖方ERP成功之后修改平台上的单据传输状态
	 * @param idArray
	 */
	public void onEndDownSuccess(String[] idArray);

	/**
	 * 分页查找客户采购验收，包括明细
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<PurchaseForecastAllItem> findAllByPageInfo(PageInfo pageInfo);
	
	/**
	 * 用变更单ID查找客户采购验收
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseForecastAllItem findById(Long id);

}
